eID middleware |

# be.portugal.eid.PTEID_ExParamRange Class Reference

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE). More...

Inheritance diagram for be.portugal.eid.PTEID_ExParamRange:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExParamRange ()
| Constructor.
## Protected Member Functions
| PTEID_ExParamRange (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExParamRange obj)

## Detailed Description

Exception class Bad Parameter Range (error code = EIDMW_ERR_PARAM_RANGE).

Thrown when the index is out of range Used in : - PTEID_ReaderSet.getReaderName(int ulIndex)

- PTEID_ReaderSet.getReaderByNum(int ulIndex)
- PTEID_Certificate.getChildren(int ulIndex)
- PTEID_Certificates.getCertByNumber(int ulIndex)
- PTEID_Pins.getPinByNumber(int ulIndex)

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExParamRange.PTEID_ExParamRange | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExParamRange.PTEID_ExParamRange | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExParamRange.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExParamRange.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExParamRange.getCPtr | ( | PTEID_ExParamRange | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExParamRange.swigCPtr.